%define major	7
%define libname	%mklibname openraw %{major}
%define develname %mklibname -d openraw

Summary:	Camera RAW files decoding library
Name:		libopenraw
Version:	0.1.2
Release:	%mkrel 1
License:	LGPLv3+
Group:		Graphics
Source: 	http://libopenraw.freedesktop.org/download/%name-%version.tar.xz
Url:		http://libopenraw.freedesktop.org
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jpeg-devel
BuildRequires:	boost-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxml2-devel
BuildRequires:	doxygen
Requires(post):	gdk-pixbuf2.0
Requires(postun): gdk-pixbuf2.0

%description
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction. 

%package -n %{libname}
Summary:	Camera RAW files decoding library
Provides:	%{name} = %{version}-%{release}
Group:		System/Libraries

%description -n %{libname}
libopenraw is an ongoing project to provide a free software implementation 
for camera RAW files decoding. One of the main reason is that dcraw is not 
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data 
decoding and easy thumbnail extraction.

%package -n %{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d openraw 1
Group:		Development/Libraries

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -q 

sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' configure.ac
sed -i -e 's|@top_srcdir@/dcraw ||' doc/Doxyfile.in


%build
autoreconf -fi
%configure2_5x --disable-static
%make
make dox

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

%post
%_bindir/gdk-pixbuf-query-loaders --update-cache

%postun
%_bindir/gdk-pixbuf-query-loaders --update-cache

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{libname} 
%defattr(-,root,root)
%doc COPYING*
%{_libdir}/libopenraw.so.%{major}
%{_libdir}/libopenraw.so.%{major}.*
%{_libdir}/libopenrawgnome.so.%{major}
%{_libdir}/libopenrawgnome.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/doxygen/html/
%{_includedir}/libopenraw-0.1/
%{_libdir}/libopenraw.so
%{_libdir}/libopenrawgnome.so
%{_libdir}/pkgconfig/libopenraw-0.1.pc
%{_libdir}/pkgconfig/libopenraw-gnome-0.1.pc


%changelog
* Tue May 23 2017 bb2 <bb2> -0.1.2-1pclos2017
- new version

* Fri Apr 14 2017 bb2 <bb2> - 0.1.0-1pclos2017
- new version 
- new major 7

* Wed May 25 2016 bb <bb> - 0.0.8-5pclos2016
- rebuild for 2016

